so库和jar包版本不匹配

0 投票
99 浏览
首先肯定库与包的版本是对的上的,都是V910版本,

删了重新载入还是一样,

手机上的原始程序也卸载了,也没用

最可怕的是把so库删了还是报同样的错误

但是新建一个Hello world项目载入同样的so库和jar就成功了,

不知道是为什么,求高人解答

详细报错:

Process: com.example.chenqi.eye, PID: 21864
    java.lang.RuntimeException: Unable to start activity ComponentInfo{com.example.chenqi.eye/com.example.chenqi.MainActivity}: java.lang.IllegalArgumentException: so库和jar包版本不匹配
    
        at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2567)
        at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2647)
        at android.app.ActivityThread.access$800(ActivityThread.java:193)
        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1485)
        at android.os.Handler.dispatchMessage(Handler.java:111)
        at android.os.Looper.loop(Looper.java:194)
        at android.app.ActivityThread.main(ActivityThread.java:5763)
        at java.lang.reflect.Method.invoke(Native Method)
        at java.lang.reflect.Method.invoke(Method.java:372)
        at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:1042)
        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:837)
     Caused by: java.lang.IllegalArgumentException: so库和jar包版本不匹配
    
        at com.supermap.data.Environment.checkAndLoadLibrary64(Environment.java:1684)
        at com.supermap.data.Environment.initialization(Environment.java:576)
        at com.example.chenqi.MainActivity.onCreate(MainActivity.java:27)
        at android.app.Activity.performCreate(Activity.java:6130)
        at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1112)
        at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2514)
        at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2647)
        at android.app.ActivityThread.access$800(ActivityThread.java:193)
        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1485)
        at android.os.Handler.dispatchMessage(Handler.java:111)
        at android.os.Looper.loop(Looper.java:194)
        at android.app.ActivityThread.main(ActivityThread.java:5763)
        at java.lang.reflect.Method.invoke(Native Method)
        at java.lang.reflect.Method.invoke(Method.java:372)
        at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:1042)
        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:837)
最新提问 11月 20, 2018 分类:  99次浏览 | 用户: 何以为继 (5 分)

2 个回答

0 投票
你好,你看一下你的工程里面是不是还存在其他so库或者jar包
最新回答 11月 21, 2018 用户: 董懿鑫 名扬四海 (1,478 分)
0 投票
您好,910目前支持armeabi-v7a, 没有64位的库,请在libs目录下仅使用这个,或者AndroidStudio的gradle中配置ndk,仅使用armeabi-v7a.
最新回答 11月 21, 2018 用户: 幸俊 牛刀小试 (247 分)
...